Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA032] DSA-032-1 proftpd


Vulnerability Assessment Details

[DSA032] DSA-032-1 proftpd

Vulnerability Assessment Summary
DSA-032-1 proftpd

Detailed Explanation for this Vulnerability Assessment
The following problems have been reported for the version
of proftpd in Debian 2.2 (potato):


There is a configuration error in the postinst script, when the user enters
'yes', when asked if anonymous access should be enabled. The postinst script
wrongly leaves the 'run as uid/gid root' configuration option in
/etc/proftpd.conf, and adds a 'run as uid/gid nobody' option that has no
effect.
There is a bug that comes up when /var is a symlink, and proftpd is
restarted. When stopping proftpd, the /var symlink is removed
when it's
started again a file named /var is created.


The above problems have been corrected in proftpd-1.2.0pre10-2.0potato1. We
recommend you upgrade your proftpd package immediately.


Solution : http://www.debian.org/security/2001/dsa-032
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is (C) 2005 Michel Arboi

Cables, Connectors

IBM HS20 Server Blade Gehaeuase / Chassis + Motherboard - 8843 5g
$49.51
IBM HS20 Server Blade Gehaeuase / Chassis + Motherboard - 8843 5g pictureServer RAM 64GB 8x 8GB PC2-5300F FB-DIMM Fully Buffered Memory FIT Dell HP IBM
$73.95
Server RAM 64GB 8x 8GB PC2-5300F FB-DIMM Fully Buffered Memory FIT Dell HP IBM pictureIBM Intel I340-T2 Dual Port Standard Bracket PCI Express 2.0 x4 Server Adapter 4
$27.21
IBM Intel I340-T2 Dual Port Standard Bracket PCI Express 2.0 x4 Server Adapter 4 pictureIBM System X3650 7979-AC1
$275.0
IBM System X3650 7979-AC1 picture


Discussions

No Discussions have been posted on this vulnerability.